VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Macros | Typedefs
module_linux.cpp File Reference
`#include "module.h"`
`#include "public.sdk/source/vst/utility/optional.h"`
`#include "public.sdk/source/vst/utility/stringconvert.h"`
`#include "pluginterfaces/base/funknownimpl.h"`
`#include <algorithm>`
`#include <dlfcn.h>`
`#include <sys/types.h>`
`#include <sys/utsname.h>`
`#include <unistd.h>`
`#include <experimental/filesystem>`

## Namespaces
namespace | VST3
namespace | VST3::Hosting

## Macros
#define | USE_EXPERIMENTAL_FS 1

## Typedefs
using | ModuleEntryFunc = bool (*) (void*)
using | ModuleExitFunc = bool (*) ()
using | Path = filesystem::path

## Macro Definition Documentation

## ◆ USE_EXPERIMENTAL_FS

#define USE_EXPERIMENTAL_FS 1

## Typedef Documentation

## ◆ ModuleEntryFunc

using ModuleEntryFunc = bool (*) (void*)

## ◆ ModuleExitFunc

using ModuleExitFunc = bool (*) ()

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.